package fr.titionfire.ffsaf.rest.data;

import fr.titionfire.ffsaf.data.model.MembreModel;
import io.quarkus.runtime.annotations.RegisterForReflection;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.eclipse.microprofile.openapi.annotations.media.Schema;

@Data
@NoArgsConstructor
@RegisterForReflection
@Schema(name = "BureauMembre")
public class DeskMember {
    @Schema(description = "Identifiant du membre", example = "1")
    private Long id;
    @Schema(description = "Nom du membre", example = "Doe")
    private String lname;
    @Schema(description = "Prénom du membre", example = "John")
    private String fname;
    @Schema(description = "Rôle du membre", example = "Président")
    private String role;

    public static DeskMember fromModel(MembreModel membreModel) {
        if (membreModel == null)
            return null;

        DeskMember deskMember = new DeskMember();
        deskMember.setId(membreModel.getId());
        deskMember.setLname(membreModel.getLname());
        deskMember.setFname(membreModel.getFname());
        deskMember.setRole(membreModel.getRole().toString());

        return deskMember;
    }
}
